import 'package:domain/entity/id_name_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/feedback_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/feedback_list_entity.g.dart';

@JsonSerializable()
class FeedbackListEntity {
	int count = 0;
	int page = 0;
	@JSONField(name: "count_page")
	int countPage = 1;
	int limit = 0;
	List<FeedbackItemEntity>? list = [];

	FeedbackListEntity();

	factory FeedbackListEntity.fromJson(Map<String, dynamic> json) => $FeedbackListEntityFromJson(json);

	Map<String, dynamic> toJson() => $FeedbackListEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class FeedbackItemEntity {
	String? id;
	String? title;
	String? content;
	int status = 0;
	@JSONField(name: "created_at")
	String? createdAt;
	IdNameEntity? category;

	FeedbackItemEntity();

	factory FeedbackItemEntity.fromJson(Map<String, dynamic> json) => $FeedbackItemEntityFromJson(json);

	Map<String, dynamic> toJson() => $FeedbackItemEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
